Mark a broken glass as reviewed
POST
/console/break-glass/{id}/review
const url = 'https://example.com/console/break-glass/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f/review';const options = { method: 'POST', headers: { cookie: 'bottle.session_token=<bottle.session_token>', 'Content-Type': 'application/json' }, body: '{"reason":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/console/break-glass/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f/review \ --header 'Content-Type: application/json' \ --cookie bottle.session_token=<bottle.session_token> \ --data '{ "reason": "example" }'A console owner has looked at why and what was done, with a note of what they found. Recorded as support.override_reviewed. Never by the one who broke it.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
reason
required
string
Examplegenerated
{ "reason": "example"}Responses
Section titled “Responses”The use and its timeline, afterwards
Media typeapplication/json
object
use
required
object
id
required
UUID v7
string format: uuid
at
required
string format: date-time
staffUserId
required
string | null
staffName
required
string | null
tenantId
required
UUID v7
string | null format: uuid
tenantName
required
string | null
targetUserId
required
string | null
targetName
required
string | null
reason
required
string | null
reviewedAt
required
string | null format: date-time
reviewedByName
required
string | null
reviewNote
required
string | null
viewed
required
integer
acted
required
integer
timeline
required
Array<object>
object
at
required
string format: date-time
kind
required
string
who
required
string | null
detail
required
string | null
Example
{ "use": { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "tenantId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" }}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not Bottle staff, no two-step sign-in, or a console role too low for this
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not found
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Your own, or already reviewed
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}